[Yanel-commits] rev 22326 - public/yanel/trunk/src/binary-dist

michi at wyona.com michi at wyona.com
Wed Jan 31 22:01:16 CET 2007


Author: michi
Date: 2007-01-31 22:01:15 +0100 (Wed, 31 Jan 2007)
New Revision: 22326

Added:
   public/yanel/trunk/src/binary-dist/start.sh
   public/yanel/trunk/src/binary-dist/stop.sh
Modified:
   public/yanel/trunk/src/binary-dist/README.txt
Log:
start and stop scripts added

Modified: public/yanel/trunk/src/binary-dist/README.txt
===================================================================
--- public/yanel/trunk/src/binary-dist/README.txt	2007-01-31 20:50:06 UTC (rev 22325)
+++ public/yanel/trunk/src/binary-dist/README.txt	2007-01-31 21:01:15 UTC (rev 22326)
@@ -1,7 +1,7 @@
 
 
-    Y A N E L (Yet Another Lenya)
-    =============================
+    Y A N E L
+    =========
 
 
     Prerequisites
@@ -13,10 +13,14 @@
     Getting Started
     ---------------
 
-    1) Startup Tomcat by executing ./apache-tomcat-5.5.20/bin/startup.sh
+    1) Start Yanel by executing ./start.sh
+       IMPORTANT: Please make sure that there is no other server running on port 8080
+       
     2) Browse to http://localhost:8080/yanel/
 
+    3) Stop Yanel by executing ./stop.sh
 
+
     More Information
     ----------------
 

Added: public/yanel/trunk/src/binary-dist/start.sh
===================================================================
--- public/yanel/trunk/src/binary-dist/start.sh	2007-01-31 20:50:06 UTC (rev 22325)
+++ public/yanel/trunk/src/binary-dist/start.sh	2007-01-31 21:01:15 UTC (rev 22326)
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+echo "Start Yanel ..."
+
+# ----- Check for JAVA_HOME
+JAVA_HOME="$JAVA_HOME"
+if [ "$JAVA_HOME" = "" ];then
+  echo "ERROR: No JAVA_HOME set!"
+  echo "       Have you installed JDK (Java Development Kit)? If so, then set JAVA_HOME ..."
+  echo "       MacOS X : setenv JAVA_HOME /System/Library/Frameworks/JavaVM.framework/Home"
+  echo "       Linux   : export JAVA_HOME=/usr/local/j2sdk-..."
+  exit 1
+fi
+
+sh apache-tomcat-5.5.20/bin/startup.sh


Property changes on: public/yanel/trunk/src/binary-dist/start.sh
___________________________________________________________________
Name: svn:executable
   + *

Added: public/yanel/trunk/src/binary-dist/stop.sh
===================================================================
--- public/yanel/trunk/src/binary-dist/stop.sh	2007-01-31 20:50:06 UTC (rev 22325)
+++ public/yanel/trunk/src/binary-dist/stop.sh	2007-01-31 21:01:15 UTC (rev 22326)
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+echo "Stop Yanel ..."
+
+# ----- Check for JAVA_HOME
+JAVA_HOME="$JAVA_HOME"
+if [ "$JAVA_HOME" = "" ];then
+  echo "ERROR: No JAVA_HOME set!"
+  echo "       Have you installed JDK (Java Development Kit)? If so, then set JAVA_HOME ..."
+  echo "       MacOS X : setenv JAVA_HOME /System/Library/Frameworks/JavaVM.framework/Home"
+  echo "       Linux   : export JAVA_HOME=/usr/local/j2sdk-..."
+  exit 1
+fi
+
+sh apache-tomcat-5.5.20/bin/shutdown.sh


Property changes on: public/yanel/trunk/src/binary-dist/stop.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the Yanel-commits mailing list